Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective
Class Layout

    java.lang.Object
      org.flexdock.perspective.Layout

All Implemented Interfaces:
  Serializable, Cloneable, FloatManager

    public class Layout

extends Object
implements Cloneable, FloatManager, Serializable

Author:
  Christopher Butler
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.flexdock.docking.state.FloatManager
`FloatManager.Stub`

Field Summary

Fields inherited from interface org.flexdock.docking.state.FloatManager
`DEFAULT_STUB`

Constructor Summary
`Layout()`

Method Summary
`void` | `add(Dockable dockable)`
`void` | `add(String dockableId)`
`void` | `addFloatingGroup(FloatingGroup floatingGroup)`
`void` | `addListener(LayoutListener listener)`
`void` | `addToGroup(Dockable dockable, String groupId)`
`void` | `apply(DockingPort dockingPort)`
`Object` | `clone()`
`boolean` | `contains(Dockable dockable)`
`boolean` | `contains(String dockable)`
`DockingFrame` | `floatDockable(Dockable dockable, Component frameOwner)`
`DockingFrame` | `floatDockable(Dockable dockable, Component frameOwner, Rectangle screenBounds)`
`Dockable` | `getDockable(String id)`
`Dockable[]` | `getDockables()`
`DockingState` | `getDockingState(Dockable dockable)`
`DockingState` | `getDockingState(Dockable dockable, boolean load)`
`DockingState` | `getDockingState(String dockableId)`
`DockingState` | `getDockingState(String dockableId, boolean load)`
`String[]` | `getFloatingGroupIds()`
`FloatingGroup` | `getGroup(Dockable dockable)`
`FloatingGroup` | `getGroup(String groupId)`
`LayoutListener[]` | `getListeners()`
`LayoutNode` | `getRestorationLayout()`
`void` | `hide(Dockable dockable)`
`boolean` | `isInitialized()`
`DockingState` | `remove(String dockableId)`
`void` | `removeFromGroup(Dockable dockable)`
`void` | `removeListener(LayoutListener listener)`
`void` | `setDockingState(String dockableId, DockingState dockingState)`
`void` | `setRestorationLayout(LayoutNode restorationLayout)`
`void` | `show(Dockable dockable, DockingPort dockingPort)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Layout

    public Layout()

Method Detail

### addListener

    public void addListener(LayoutListener listener)

### removeListener

    public void removeListener(LayoutListener listener)

### getListeners

    public LayoutListener[] getListeners()

### add

    public void add(Dockable dockable)

### add

    public void add(String dockableId)

### remove

    public DockingState remove(String dockableId)

### contains

    public boolean contains(Dockable dockable)

### contains

    public boolean contains(String dockable)

### getDockable

    public Dockable getDockable(String id)

### getDockables

    public Dockable[] getDockables()

### getDockingState

    public DockingState getDockingState(String dockableId)

### getDockingState

    public DockingState getDockingState(Dockable dockable)

### getDockingState

    public DockingState getDockingState(Dockable dockable,
                                        boolean load)

### getDockingState

    public DockingState getDockingState(String dockableId,
                                        boolean load)

### setDockingState

    public void setDockingState(String dockableId,
                                DockingState dockingState)

### apply

    public void apply(DockingPort dockingPort)

### hide

    public void hide(Dockable dockable)

### show

    public void show(Dockable dockable,
                     DockingPort dockingPort)

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### floatDockable

    public DockingFrame floatDockable(Dockable dockable,
                                      Component frameOwner,
                                      Rectangle screenBounds)

  Specified by:
    `floatDockable` in interface `FloatManager`

### floatDockable

    public DockingFrame floatDockable(Dockable dockable,
                                      Component frameOwner)

  Specified by:
    `floatDockable` in interface `FloatManager`

### getGroup

    public FloatingGroup getGroup(Dockable dockable)

  Specified by:
    `getGroup` in interface `FloatManager`

### getFloatingGroupIds

    public String[] getFloatingGroupIds()

### getGroup

    public FloatingGroup getGroup(String groupId)

  Specified by:
    `getGroup` in interface `FloatManager`

### addFloatingGroup

    public void addFloatingGroup(FloatingGroup floatingGroup)

### addToGroup

    public void addToGroup(Dockable dockable,
                           String groupId)

  Specified by:
    `addToGroup` in interface `FloatManager`

### removeFromGroup

    public void removeFromGroup(Dockable dockable)

  Specified by:
    `removeFromGroup` in interface `FloatManager`

### isInitialized

    public boolean isInitialized()

### getRestorationLayout

    public LayoutNode getRestorationLayout()

### setRestorationLayout

    public void setRestorationLayout(LayoutNode restorationLayout)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD